ts_cache_len = 0
no_cache = 0

use_gl = 1
use_sl = 1

gl_detect_strict=1

dsl_use_c_unpack_code=1
use_dsl=1
dsl_protocol_verbosity=1
dsl_max_blocks_wait=1024
dsl_session_timeout=600000

#Если tcp сессия "полезна" (данные с нее пишутся в файл) - таймоут для нее увеличивается в usefull_tcp_timeout_mul раз
usefull_tcp_timeout_mul=10

#использовать встроенный менеджер памяти (применяется не по всему алгоритму, а на некоторых критических участках )
use_mem_man=1

#размер блока для встроенного менеджера памяти
#mem_block_size=1M
#использовать торрент



drop_connections_for_red_file=1

file_mult_hit_big_size = 7

file_big_size= 600M


torrent=0
# стартовый размер чанка
#torrent_default_chank_size=32K
#таймоут для сесии
#torrent_session_timeout = 36000
#таймоут для записи в базе данных закачек
#torrent_base_item_timeout=360000

use_ftp_dir_log=1
ftp_control_timeout=3600000
ftp_x_timeout=600000
ftp_name_timeout=86400000

#размер блока для кеша
cache_item_buffer_size=512K
#время жизни блока кеша до записи на винт.
cache_item_timeout=50000

fa_min_compare_size=128
cache_read_disk=1

#размер куска для файлов "лог сборки"
file_asm_log_max_size=100M
#уровень детализации для "лог сборки"
use_file_asm_log = 2

#использовать sparse атрибут для файлов
file_sparse_attribute=0

#уже не важно
#cache_item_timeout_delta=10
#cache_mem=0

# время удержания файлов без данных по смещению 0, в надежде получить эти самые данные
hevent_begin_timeout=8000

#ждать show_data байт начала файля для применения регекс
show_data=8192

#Коэффиценты соборки файлов
file_mult_hit_size = 10
file_mult_nonhit_size = 0
file_summ_hit_size = 0

file_mult_hit_size = 10
file_mult_nonhit_size = 0
file_summ_hit_size = 0

file_mult_hit_size_src_dst_only=3

file_mult_hit_tofreespace = 1
file_mult_nonhit_tofreespace = 1
file_summ_hit_tofreespace = 0

file_mult_hit_seg_front = 2
file_mult_nonhit_seg_front= 1
file_summ_hit_seg_front = 3

file_mult_hit_seg_back = 2
file_mult_nonhit_seg_back = 1
file_summ_hit_seg_back = 0

file_mult_hit_tag = 18
file_mult_nonhit_tag = 1
file_summ_hit_tag = 2
file_mult_hit_etag = 18
file_mult_nonhit_etag = 1
file_summ_hit_etag = 2
file_mult_hit_sip = 3
file_mult_nonhit_sip = 1
file_summ_hit_sip = 0
file_mult_hit_dip = 3
file_mult_nonhit_dip = 1
file_summ_hit_dip = 0
file_mult_hit_protocol = 1
file_mult_nonhit_protocol = 1
file_summ_hit_protocol = 0
file_mult_hit_name = 19
file_mult_nonhit_name = 1
file_summ_hit_name = 0
file_mult_hit_data = 10
file_mult_nonhit_data = 1
file_summ_hit_data = 0
file_mult_hit_freesegment = 2
file_mult_nonhit_freesegment = 1
file_summ_hit_freesegment = 0
file_hit_start_value = 1
file_hit_boundary_value = 80
file_hit_ok_value = 181

#минимальный размер файла для обработки
minimum_process_file_size = 0M

# Режим сортировки по умолчанию
fl_sm=0


#не важно.
#Захватывать файлы не имеющие начала размером не меньше
hevent_begin_min_size=50M
# Специальный таймоут для таких файлов
timeout_havent_begin=3600

#Включить показ расширенной статистики при запуске
show_eXtendet_stat=1
#Включить показ статистики потока при запуске
show_signal_info=0

#таймоут для пакетов при дефрагментации IP
ip_timeout=10000

#Управление перехватчиком глобакс
#хранить не более пакетов глобакс для одной сессии (алгоритм упорядочивания пакетов)
gl_max_blocks_wait=256
#Таймоут для сессии ms
gl_session_timeout=3600000
#таймоут для канала ms
gl_channel_timeout=300000

#хранить не более пакетов slonax для одной сессии
sl_max_blocks_wait=1024
#Таймоут для сессии ms
sl_session_timeout=600000

#Пинать тюнер в случае отсутсвия потока каждые ms
tuner_kick_timeout=2000

#Бэкгроунд для окна статисктики в виде битмапа
use_header_bg_bitmap=1

#Влючить http сервер статистики и использовать порт для приема соединенй
hserver_port=81
#перегружать темплейт morda.tmpl каждый раз при запросе
reload_htmpl=1


#inet_mac_str0=00d000000000
#inet_mac_str1=00d000000001
#out_mpe=stream.mpe
#inet_mac_str0=*

#Переименовать файл при переносе в ок если известно его реальное имя (работает криво)
#rename_ok_files_if_real_name_known=1


#Настройка параметров отображения статистики потока
stat_speed_mult=120
signal_quality_log_height=25
#stat_speed_window_width=200
#stat_speed60_window_width=800
#stat_speed_normalyzer=10M
#stat_speed60_normalyzer=10M

#Пользовательская строка, выводится в имени окна
user_info_str= @ planetsky

#Настройка параметров сервера/клиента траспортного потока
#use_ts_client=0
#use_ts_server=0
#ts_server_addr=192.168.1.1
#ts_server_port=453
#process_data_when_ts_server_use=1

#log_append=1
#ignore_tcp_cs=0
#min_file_size_for_real_name_store=10M
#ts_cache_len=32M

rar_str_timeout=172800
name_str_timeout=172800

#in=e:\tmp
ftp=1
http=1
nntp=0
use_tcp = 1
use_udp = 1
use_gre = 1

#use_ethernet_drv=1
#exit_promt=1
#inet_mac_str0=************
#use_openvpn_tun=1
#tun_ip=192.168.1.1
#inet_mac_str1=00D000000000

tcp_log=0
use_file_log=0
logdir=s:\test\skynet\log

zoom=1G
autosave_time=600000
discon_to_log=0
no_crc32=0
#no_scan=1
#regex.txt=regex.micro

# window
wx=0
wy=0
ww=1680
wh=1050

maximize=0
refresh=500
signal_quality_log_height=25

font=courier
font_size=16
processor=0

xfont=fixed

# files
timeout_0 = 64000
timeout_100k = 500
timeout_500k = 1000
timeout_1m   = 2000
timeout_5m   = 4000
timeout_10m  = 8000
timeout_50m  = 172800
timeout_100m = 172800
timeout_500m = 172800
p2p_add = 6000

one_percent_timeout=3600
ninety_nine_percent_timeout=3600

timeout_fade_rate=50
timeout_line=0

incomplete_min_size=10M
incomplete_%=98

# tcp/ip
mss=1500
tcp_timeout=300000
tcp_window=8M
tcp_buffer=32K
tcp_fin_timeout=30000


# disk
name_format=E/p_m_d_s_c_i_R.E
# P - pid hex
# p - pid dec
# M - mac
# m - lower case mac
# D - destination addr hex
# d - destination addr dec
# S - source addr hex
# s - source addr dec
# C - counter hex
# c - counter dec
# R - real name (if known)
# E - extension
# N - size
# i - incapsulation

ok = ok 
incomplete = incomplete 
temp = temp

#ss1=1
#ss1_mac_filter=00D0

#dream_ip=127.0.0.1
#dream_port=31339

# tuner
lnb=9750000,10600000,11700000

#diseqc=POSITION_B
#diseqc=HIGH_BAND,HORIZONTAL,POSITION_B,OPTION_B

# LOW_BAND   HIGH_BAND
# VERTICAL   HORIZONTAL
# POSITION_A POSITION_B
# OPTION_A   OPTION_B

# SkyDSL
tuner=10770000 H 15731000 A 
pids=100
